using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Switch_Example
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void okButton_Click(object sender, EventArgs e)
        {
            int number;

            // Pobranie liczby.
            if (int.TryParse(numberTextBox.Text, out number))
            {
                // Wyświetlenie dnia tygodnia.
                switch (number)
                {
                    case 1:
                        dayOfWeekLabel.Text = "poniedziałek";
                        break;
                    case 2:
                        dayOfWeekLabel.Text = "wtorek";
                        break;
                    case 3:
                        dayOfWeekLabel.Text = "środa";
                        break;
                    case 4:
                        dayOfWeekLabel.Text = "czwartek";
                        break;
                    case 5:
                        dayOfWeekLabel.Text = "piątek";
                        break;
                    case 6:
                        dayOfWeekLabel.Text = "sobota";
                        break;
                    case 7:
                        dayOfWeekLabel.Text = "niedziela";
                        break;
                    default:
                        MessageBox.Show("Nieprawidłowa liczba.");
                        break;
                }
            }
            else
            {
                // Wyświetlenie komunikatu błędu.
                MessageBox.Show("Proszę podać liczbę całkowitą.");
            }
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza.
            this.Close();
        }
    }
}
